% zPlotOneNTRotated(NT,ViewParam,R,S) rotates NT and displays with ViewParam

function [void] = zPlotOneNTRotated(NT,ViewParam,R,S)

NewNT.Code  = NT.Code;
L           = length(NT.Fit(:,1));         % Number of base atoms
NewNT.Fit   = (NT.Fit   - ones(L,3) *S) * R; % rotated into position        %ALI ones(L,3) instead of ones(L,1)
s           = length(NT.Sugar(:,1));                % this sometimes varies
NewNT.Sugar = (NT.Sugar - ones(s,3)*S) * R; % rotate sugar too              %Ali ones(s,3) instead of ones(s,1)
NewNT.Base  = NT.Base;
NewNT.Number= NT.Number;

zPlotOneNT(NewNT,ViewParam)
